Skip to main content
GET
/
v1
/
videos
/
{id}
/
content
Download Video Content
curl --request GET \
  --url https://www.anyfast.ai/v1/videos/{id}/content \
  --header 'Authorization: Bearer <token>'
{
  "id": "sora-2:task_01k7yhn8vae4ev52cnyxw3gn68",
  "object": "video",
  "model": "sora-2",
  "status": "completed",
  "progress": 100,
  "url": "https://filesystem.site/cdn/20251019/example.mp4",
  "video_url": "https://filesystem.site/cdn/20251019/example.mp4",
  "size": "small",
  "seconds": "12",
  "created_at": 1773220330
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Video task ID.

Response

Video download info

id
string
Example:

"sora-2:task_01k7yhn8vae4ev52cnyxw3gn68"

object
string
Example:

"video"

model
string
Example:

"sora-2"

status
string
Example:

"completed"

progress
integer
Example:

100

url
string

Video download URL.

Example:

"https://filesystem.site/cdn/20251019/example.mp4"

video_url
string

Video download URL (alias).

Example:

"https://filesystem.site/cdn/20251019/example.mp4"

size
string
Example:

"small"

seconds
string
Example:

"12"

created_at
integer
Example:

1773220330